<?php
namespace FreePBX\modules\Pt1coutpanel;
use FreePBX\modules\Backup as Base;
class Restore Extends Base\RestoreBase{
    public function runRestore(){
        $configs = $this->getConfigs();
        $this->FreePBX->Pt1coutpanel->saveConfig($configs);

        $files = $this->getFiles();
        foreach ($files as $file) {
            $backupFilename = $file->getPathTo() . '/' . $file->getFilename();
            $newFilename = $file->getPathTo();
            if (file_exists($this->tmpdir.'/files/'.$backupFilename)) {
                copy($this->tmpdir . '/files/' . $file->getPathTo() . '/' . $file->getFilename(), $newFilename);
            }
        }

    }
    public function processLegacy($pdo, $data, $tables, $unknownTables){
        $tables = ['pt1coutpanel'];
        foreach($tables as $table) {
            $sth = $pdo->query("SELECT * FROM $table",\PDO::FETCH_ASSOC);
            $res = $sth->fetchAll();
            $this->addDataToTableFromArray($table, $res);
        }
    }
}
