<?php
if (!defined('FREEPBX_IS_AUTH')) { die('No direct script access allowed'); }

global $db;
global $amp_conf;

// kill old processes if they exists
out('Kill old workers ...');
$path_killall = fpbx_which('killall');
if ($path_killall){
    exec("{$path_killall} monitord");
    exec("{$path_killall} crmd");
    exec("{$path_killall} authd");
    exec("{$path_killall} amid");
    exec("{$path_killall} gnatsd-cti");
}
out('Done.');

//Create symlink that points to the module www directory in order to play audiofiles
outn('Creating client symlink....');

if(file_exists($amp_conf['AMPWEBROOT'] . '/admin/pt1coutpanel')) {
    unlink($amp_conf['AMPWEBROOT'] . '/admin/pt1coutpanel');
}
symlink($amp_conf['AMPWEBROOT'] .'/admin/modules/pt1coutpanel/www', $amp_conf['AMPWEBROOT'] . '/admin/pt1coutpanel');

out('Done');

// I added it to module.xml, but it does not work properly
outn('Fix rights....');
$binPaths = $amp_conf['AMPWEBROOT'] .'/admin/modules/pt1coutpanel/bin/pt1coutpanel';
exec("chmod +x {$binPaths}/*");
out('Done');

$results = $db->getAll('SELECT * FROM pt1coutpanel');
if(empty($results)) {
    outn('New installed detected, adding default server...');
    $db->query("INSERT INTO pt1coutpanel (`enable`, `server1chost`, `server1cport`, `login`, `password`, `database`, `saaskey`, `ami_user`, `ami_password`, `web_service_mode`, `debug_mode`) VALUES (false, '', 80, '', '', '', '', 'pt1coutpanel','dsjfhsdjfhj34283dhs', false, false)");
    out('Done');
}