<?php
if ( ! defined('FREEPBX_IS_AUTH')) {
    die('No direct script access allowed');
}
global $db;
global $amp_conf;

// kill processes
out('Kill workers ...');
$path_killall = fpbx_which('killall');
if ($path_killall){
    exec("{$path_killall} monitord");
    exec("{$path_killall} crmd");
    exec("{$path_killall} authd");
    exec("{$path_killall} amid");
    exec("{$path_killall} gnatsd-cti");
}
out('Done.');

//Drop pt1csmartivr table
$query = 'DROP TABLE IF EXISTS pt1coutpanel';
out('Removing pt1coutpanel Table....');
$results = $db->query($query);
if (DB::IsError($results)) {
    out('ERROR: could not remove table.');
}

out('Done.');

out('Removing pt1coutpanel Folders....');
$path_rm  = fpbx_which('rm');

// confDir
$etcDir = $amp_conf['ASTETCDIR'];
if (isset ($etcDir)) {
    $confDir = "$etcDir/pt1coutpanel";
} else {
    $confDir = '/etc/pt1coutpanel';
}
if (strpos($confDir,'pt1coutpanel')>=0){
    exec("$path_rm -rf {$confDir} > /dev/null 2> /dev/null");
}

// filesDir
$filesDir = $amp_conf['ASTSPOOLDIR'];
if (isset ($filesDir)) {
    $filesDir = "$filesDir/pt1coutpanel/files";
} else {
    $filesDir = '/var/spool/asterisk/pt1coutpanel/files';
}
if (strpos($filesDir,'pt1coutpanel')>=0){
    exec("$path_rm -rf {$filesDir} > /dev/null 2> /dev/null");
}

// logDir
$logDir = $amp_conf['ASTLOGDIR'];
if (isset ($logDir)) {
    $logDir = "$logDir/pt1coutpanel";
} else {
    $logDir = '/var/log/asterisk/pt1coutpanel';
}
if (strpos($logDir,'pt1coutpanel')>=0){
    exec("$path_rm -rf {$logDir} > /dev/null 2> /dev/null");
}

// Pid
$pidDir = '/var/run/pt1coutpanel';
if (strpos($pidDir,'pt1coutpanel')>=0){
    exec("$path_rm -rf {$pidDir} > /dev/null 2> /dev/null");
}

if(file_exists($amp_conf['AMPWEBROOT'] . '/admin/pt1coutpanel')) {
    unlink($amp_conf['AMPWEBROOT'] . '/admin/pt1coutpanel');
}
out('Done.');