<?php
$tabindex = 0;
?>
<h1>МИКО:Панель телефонии 2.0 <span id='module-cti-status' class="label"></span></h1>
<form class="fpbx-submit" id="module-cti-client-form" name="editSettings" action="config.php?display=pt1coutpanel" method="post" role="form">
<div class="fpbx-container container-fluid" xmlns="http://www.w3.org/1999/html">
    <div class="row">
        <div class="col-sm-12">
          <div class="display no-border">
        <div class="nav-container">
            <div class="scroller scroller-left"><i class="glyphicon glyphicon-chevron-left"></i></div>
            <div class="scroller scroller-right"><i class="glyphicon glyphicon-chevron-right"></i></div>
            <div class="wrapper">
                <ul class="nav nav-tabs list" role="tablist">
                    <li data-name="settings-tab" class="change-tab active"><a href="#settings-tab"
                                                                              aria-controls="settings-tab" role="tab"
                                                                              data-toggle="tab">Настройки модуля</a>
                    </li>
                    <li data-name="licensing-tab" class="change-tab"><a href="#licensing-tab"
                                                                        aria-controls="licensing-tab" role="tab"
                                                                        data-toggle="tab">Лицензирование</a></li>
                </ul>
            </div>
        </div>
        <div class="tab-content display">
            <div id="settings-tab" class="tab-pane active">
                <div class="container-fluid ">
                    <div class="section-title" data-for="integration"><h3><i class="fa fa-minus"></i>
                            Связь с 1С:Предприятие 8</h3></div>
                    <div class="section" data-id="integration">
                        <div class="element-container ">

                    <div class="row">
                        <div class="form-group form-horizontal">
                            <div class="col-md-12">
                            <div class="radio">
                                <label>
                                    <input type="radio" name="web_service_mode" id="web_service_mode_off"
                                           value="0" <?php echo($data_value['web_service_mode'] === '0' ? 'checked' : ''); ?>>
                                    Работать через LongPool соединение (1С подключается к FreePBX)
                                </label>
                            </div>
                            <div class="radio">
                                <label>
                                    <input type="radio" name="web_service_mode" id="web_service_mode_on"
                                           value="1" <?php echo($data_value['web_service_mode'] === '1' ? 'checked' : ''); ?>>
                                    Работать через web сервис (FreePBX подключается к 1С)
                                </label>
                            </div>
                            </div>
                        </div>
                    </div>
<fieldset id="only-webservice-mode">
                    <div class="row">
                        <div class="form-group form-horizontal">
                                <div class="col-md-5">
                                    <label class="control-label" for="server1chost">Адрес и порт сервера 1С</label>
                                    <i class="fa fa-question-circle fpbx-help-icon" data-for="server1chost"></i>
                                </div>
                                <div class="col-md-5">
                                    <input type="text" class="form-control" name="server1chost" id="server1chost"
                                           value="<?php echo '' . trim($data_value['server1chost']) ?>">
                                </div>
                                <div class="col-md-2">
                                    <input type="number" class="form-control" name="server1cport" id="server1cport"
                                           value="<?php echo $data_value['server1cport'] ?>">
                                </div>
                            <div class="col-md-12">
                                <span id="server1chost-help" class="help-block fpbx-help-block">Адрес сервера 1С на котором интегрирована подсистема телефонии 2.0 и опубликован веб сервис</span>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="form-group form-horizontal">
                                <div class="col-md-5">
                                    <label class="control-label" for="login">Логин для веб-сервиса 1C</label>
                                    <i class="fa fa-question-circle fpbx-help-icon" data-for="login"></i>
                                </div>
                                <div class="col-md-7">
                                    <input type="text" class="form-control" id="login" name="login"
                                           value="<?php echo $data_value['login'] ?>">
                                </div>
                            <div class="col-md-12">
                                <span id="login-help" class="help-block fpbx-help-block">Логин пользователя 1С имеющего права на работу с web сервисом</span>
                            </div>
                        </div>
                    </div>


                    <div class="row">
                        <div class="form-group form-horizontal">
                                <div class="col-md-5">
                                    <label class="control-label" for="password">Пароль для веб-сервиса 1C</label>
                                    <i class="fa fa-question-circle fpbx-help-icon" data-for="password"></i>
                                </div>
                                <div class="col-md-7">
                                    <input type="password" class="form-control" id="password" name="password"
                                           value="<?php echo $data_value['password'] ?>">
                                </div>
                            <div class="col-md-12">
                                <span id="password-help" class="help-block fpbx-help-block">Пароль пользователя 1С имеющего права на работу с web сервисом</span>
                            </div>
                        </div>
                    </div>


                    <div class="row">
                        <div class="form-group form-horizontal">
                                <div class="col-md-5">
                                    <label class="control-label" for="database">Имя публикации</label>
                                    <i class="fa fa-question-circle fpbx-help-icon" data-for="database"></i>
                                </div>
                                <div class="col-md-7">
                                    <input type="text" class="form-control" id="database" name="database" value="<?php echo $data_value['database'] ?>">
                                </div>
                            <div class="col-md-12">
                                <span id="database-help" class="help-block fpbx-help-block">Имя публикации web сервиса, из настроек публикации в Конфигураторе 1С</span>
                            </div>
                        </div>
                    </div>
</fieldset></div>
                    </div>

                </div>
                <div class="container-fluid">
                    <div class="section-title" data-for="other"><h3><i class="fa fa-minus"></i>
                            Прочие настройки</h3></div>
                    <div class="section" data-id="other">
                        <div class="element-container">
                            <div class="row">
                                <div class="form-group form-horizontal">
                                        <div class="col-md-5">
                                            <label class="control-label" for="debug_mode">Включить режим отладки модуля</label>
                                            <i class="fa fa-question-circle fpbx-help-icon" data-for="debug_mode"></i>
                                        </div>
                                        <div class="col-md-7">
                                            <input type="checkbox" class="form-control" name="debug_mode"
                                                   id="debug_mode" <?php echo($data_value['debug_mode'] === '1' ? 'checked' : ''); ?>>
                                        </div>
                                    <div class="col-md-12">
                                        <span id="debug_mode-help" class="help-block fpbx-help-block">Расширенное логирование всех событий модуля в LOG файлы для диагностики проблем</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div id="licensing-tab" class="tab-pane">
                <div class="container-fluid" id="LicenseSection">
                    <div class="section-title" data-for="licensekey-management"><h3><i class="fa fa-minus"></i>
                            Управление лицензией</h3></div>
                    <div class="section" data-id="licensekey-management">
                        <div class="element-container">
                            <div class="row">
                                <div class="form-group form-horizontal">
                                    <div class="col-md-5">
                                        <label class="control-label" for="saaskey">Лицензионный ключ</label>
                                        <i class="fa fa-question-circle fpbx-help-icon" data-for="saaskey"></i>
                                    </div>
                                    <div class="col-md-7">
                                        <input type="text" class="form-control clicktoedit" id="saaskey" name="saaskey" size="30"
                                               value="<?php echo '' . trim($data_value['saaskey']) ?>">
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <span id="saaskey-help" class="help-block fpbx-help-block">Лицензионный ключ выдается каждому клиенту в процессе регистрации, используется один ключ на все продукты МИКО</span>
                                </div>
                            </div>

                            <div class="row" id="couponSection">
                                <div class="form-group form-horizontal">
                                    <div class="col-md-5">
                                        <label class="control-label" for="coupon">Купон для активации дополнительной
                                            лицензии</label>
                                        <i class="fa fa-question-circle fpbx-help-icon" data-for="coupon"></i>
                                    </div>
                                    <div class="col-md-7">
                                        <input type="text" class="form-control" id="coupon" name="coupon">
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <span id="coupon-help" class="help-block fpbx-help-block">Купон используется для добавления новых продуктов, продления лицензии, активации нового функционала</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="container-fluid" id="getTrialLicenseSection">
                    <div class="section-title" data-for="register"><h3><i class="fa fa-minus"></i> Регистрация нового
                            клиента</h3></div>
                    <div class="section" data-id="register">
                        <div class="element-container">
                            <div class="row">
                                <div class="col-md-12">
                                <div class="alert alert-warning" role="alert">
                                    <strong>Один ключ для одной компании!</strong><br>Если у вашей компании уже есть ключ начинающийся с "MIKO-", используйте его, не нужно регистрироваться повтороно.
                                </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group form-horizontal">
                                    <div class="col-md-5">
                                        <label class="control-label" for="companyname">Укажите название
                                            организации</label>
                                        <i class="fa fa-question-circle fpbx-help-icon" data-for="companyname"></i>
                                    </div>
                                    <div class="col-md-7">
                                        <input type="text" class="form-control" id="companyname" name="companyname">
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <span id="companyname-help" class="help-block fpbx-help-block">Созданная лицензия будет привязана к этой организации, если вы интегратор, указывайте название организации клиента</span>
                                </div>
                            </div>

                            <div class="row">
                                <div class="form-group form-horizontal">
                                    <div class="col-md-5">
                                        <label class="control-label" for="contact">Контактное лицо</label>
                                        <i class="fa fa-question-circle fpbx-help-icon" data-for="contact"></i>
                                    </div>
                                    <div class="col-md-7">
                                        <input type="text" class="form-control" id="contact" name="contact">
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <span id="contact-help" class="help-block fpbx-help-block">Контактное лицо, котрому будет отправлена лицензия, если вы интегратор, указывайте контакт клиента</span>
                                </div>
                            </div>

                            <div class="row">
                                <div class="form-group form-horizontal">
                                    <div class="col-md-5">
                                        <label class="control-label" for="email">Email контактного лица</label>
                                        <i class="fa fa-question-circle fpbx-help-icon" data-for="email"></i>
                                    </div>
                                    <div class="col-md-7">
                                        <input type="text" class="form-control" id="email" name="email">
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <span id="email-help" class="help-block fpbx-help-block">Контактное лицо, котрому будет отправлена лицензия, если вы интегратор, указывайте email клиента</span>
                                </div>
                            </div>

                            <div class="row">
                                <div class="form-group form-horizontal">
                                    <div class="col-md-5">
                                        <label class="control-label" for="telefone">Телефон контактного лица</label>
                                        <i class="fa fa-question-circle fpbx-help-icon" data-for="telefone"></i>
                                    </div>
                                    <div class="col-md-7">
                                        <input type="text" class="form-control" id="telefone" name="telefone">
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <span id="telefone-help" class="help-block fpbx-help-block">Контактное лицо, котрому будет отправлена лицензия, если вы интегратор, указывайте телефон клиента</span>
                                </div>
                            </div>

                            <div class="row">
                                <div class="form-group form-horizontal">
                                    <div class="col-md-5">
                                        <label class="control-label" for="inn">Уникальный идентификатор для компании
                                            (ИНН,ОГРН и т.п.)</label>
                                        <i class="fa fa-question-circle fpbx-help-icon" data-for="inn"></i>
                                    </div>
                                    <div class="col-md-7">
                                        <input type="text" class="form-control" id="inn" name="inn">
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <span id="inn-help" class="help-block fpbx-help-block">Эта информация используется для привязки лицензии и сильно упрощает поиск потерянных клиентами лицензий в будущем</span>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
          </div>
    </div>
</div>
</div>
</form>
